> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload File

> Upload File



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/common/api.json post /kb/v1/files
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /kb/v1/files:
    post:
      tags:
        - Files
      summary: Upload File
      description: Upload File
      operationId: uploadFile
      parameters: []
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateFileDTO'
      responses:
        '200':
          description: File uploaded successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/File'
      security:
        - bearer: []
components:
  schemas:
    CreateFileDTO:
      type: object
      properties:
        file:
          type: string
          description: This is the File you want to upload for use with the Knowledge Base.
          format: binary
      required:
        - file
    File:
      type: object
      properties:
        id:
          type: string
          example: 5f7b1b1b1b1b1b1b1b1b1b1b
          description: This is the unique identifier of the file.
        name:
          type: string
          example: some_file.json
          description: This is the name of the file.
        type:
          type: string
          example: file
        teamId:
          type: string
          example: 1f7b1b1b1b1b1b1b1b1b1b1b
        createdAt:
          $ref: '#/components/schemas/CreatedAt'
    CreatedAt:
      type: string
      format: date-time
      description: This is the ISO 8601 date-time string of when the record was created.
      example: '2020-10-05T00:00:00.000Z'
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````